MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024802Open CASCADE[OCCT] OCCT:DRAWpublic2014-04-07 11:592014-11-11 13:01
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024802: "help" command shouldn't apply implicit rules in definition process of what command description it should show
Description> help dset
should display only
  dset : var1 value1 vr2 value2 ...

but not information about dsetenv command

to display all possible commands that start with "dset", "help" command should expect:
> help dset*

as well as in case when user would like to know all possible commands end with "set":
> help *set

Steps To Reproducehelp dset
Additional information
and documentation updates
Now "*" is not appended to "command" implicitly anymore. If help was not found for "command", then error message is displayed.
So, if User wants to find help about "dset", he has to use "help dset".
If User wants to find help for all commands that start with "dset", he has to use
"help dset*".
If User wants to find help for all commands that contain "dset", he has to use "help *dset".
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0032469)
isz (developer)
2014-09-30 17:45

Dear Anton,
did I understand the algorithm of command "help" right:
1) When "word" is given in args, if "word" == full name of command, then only help on this command should be displayed
2) When "word" is given in args, if "word" != full name of command, then all help strings should be displayed as for "word" = "word*"
3) When "*word" is given in args, then all help strings on any commands that contain "word" should be displayed
?

Thank you in advance.
(0032531)
apl (developer)
2014-10-01 18:35
edited on: 2014-10-01 18:35

Dear Ivan,

I think that the idea is to perform exact search if "*" is not specified.

So, 2), 3) should be:

"When "word" is given in args, if "word" != full name of command, then help command should fail".

"When "*word" or "word*" or any other combination is given in args, then help command should perform typical wildcard search."

I guess it is better to ask ibs if you have doubts.

(0032725)
git (administrator)
2014-10-06 17:27

Branch CR24802 has been created by isz.

SHA-1: 26d54c5a995e6cc390ac31b0bcb789ebb4f18b6e


Detailed log of new commits:

Author: isz
Date: Mon Oct 6 17:27:31 2014 +0400

    0024802: "help" command shouldn't apply implicit rules in definition process of what command description it should show
    
    When in "help <command>" <command> was exactly found in existing draw commands, then the search stops and only helpstring for this <command> is displayed.
    If there is no exactly this <command>, then search continues like the query was "help <command>*".
(0032726)
isz (developer)
2014-10-06 17:30

Dear Anton,

Please review the branch CR24802.

Thank you!
(0032728)
git (administrator)
2014-10-06 17:47

Branch CR24802_2 has been created by isz.

SHA-1: 68bc07ae5a148389745a6e8c95883a9082d657f8


Detailed log of new commits:

Author: isz
Date: Mon Oct 6 17:47:35 2014 +0400

    0024802: "help" command shouldn't apply implicit rules in definition process of what command description it should show
    
     -When in "help <command>" <command> was exactly found in existing draw commands, then helpstring for this <command> is displayed,
    else "help" fails and nothing is displayed
     -When "*word" or "word*" or any other combination is given in args, then help command performs typical wildcard search.
(0032731)
git (administrator)
2014-10-06 18:00

Branch CR24802_2 has been updated forcibly by isz.

SHA-1: c38bc513d267f95156b5fa068ecd97d1e03aab7e
(0032732)
git (administrator)
2014-10-06 18:14

Branch CR24802_2 has been updated forcibly by isz.

SHA-1: 9055f7d9566d3b073a5dab403d3c76d1a81eb600
(0032733)
git (administrator)
2014-10-06 18:55

Branch CR24802_3 has been created by apl.

SHA-1: 08c1dcb17634e61267c122393489e13df81c7d5b


Detailed log of new commits:

Author: apl
Date: Mon Oct 6 18:55:14 2014 +0400

    0024802: "help" command shouldn't apply implicit rules in definition process of what command description it should show
    
     -When in "help <command>" <command> was exactly found in existing draw commands, then helpstring for this <command> is displayed,
      else "help" fails and error message is displayed
     -When "*word" or "word*" or any other combination is given in args, then help command performs typical wildcard search.
(0032734)
apl (developer)
2014-10-06 18:57

Dear Bugmaster,

Please test branch CR24802_3.
(0032735)
apl (developer)
2014-10-06 18:59

Please note that the patch contains modifications to DRAW "help" command implemented in src\DrawResources\StandardCommands.tcl. OCCT code was not touched.
(0033433)
git (administrator)
2014-10-21 16:43

Branch CR24802_3 has been deleted by inv.

SHA-1: 08c1dcb17634e61267c122393489e13df81c7d5b
(0033434)
git (administrator)
2014-10-21 16:43

Branch CR24802_2 has been deleted by inv.

SHA-1: 9055f7d9566d3b073a5dab403d3c76d1a81eb600
(0033435)
git (administrator)
2014-10-21 16:43

Branch CR24802 has been deleted by inv.

SHA-1: 26d54c5a995e6cc390ac31b0bcb789ebb4f18b6e

- Related Changesets
occt: master 2bc75a1b
Timestamp: 2014-10-06 14:55:14
Author: apl
Committer: bugmaster
Details ] Diff ]
0024802: "help" command shouldn't apply implicit rules in definition process of what command description it should show

 -When in "help <command>" <command> was exactly found in existing draw commands, then helpstring for this <command> is displayed,
  else "help" fails and error message is displayed
 -When "*word" or "word*" or any other combination is given in args, then help command performs typical wildcard search.
mod - src/DrawResources/StandardCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-07 11:59 ibs New Issue
2014-04-07 11:59 ibs Assigned To => mkv
2014-05-08 18:47 mkv Assigned To mkv => apn
2014-05-08 18:47 mkv Status new => assigned
2014-09-26 12:07 abv Assigned To apn => isz
2014-09-26 12:07 abv Target Version 6.8.0 => 7.1.0
2014-09-30 17:45 isz Note Added: 0032469
2014-09-30 17:45 isz Assigned To isz => apl
2014-09-30 17:45 isz Status assigned => feedback
2014-10-01 18:35 apl Note Added: 0032531
2014-10-01 18:35 apl Assigned To apl => isz
2014-10-01 18:35 apl Status feedback => assigned
2014-10-01 18:35 apl Note Edited: 0032531 View Revisions
2014-10-06 17:27 git Note Added: 0032725
2014-10-06 17:30 isz Note Added: 0032726
2014-10-06 17:30 isz Assigned To isz => apl
2014-10-06 17:30 isz Status assigned => resolved
2014-10-06 17:47 git Note Added: 0032728
2014-10-06 18:00 git Note Added: 0032731
2014-10-06 18:14 git Note Added: 0032732
2014-10-06 18:55 git Note Added: 0032733
2014-10-06 18:57 apl Note Added: 0032734
2014-10-06 18:57 apl Assigned To apl => bugmaster
2014-10-06 18:57 apl Status resolved => reviewed
2014-10-06 18:59 apl Note Added: 0032735
2014-10-06 20:58 mkv Assigned To bugmaster => mkv
2014-10-07 14:45 isz Additional Information Updated View Revisions
2014-10-13 17:52 bugmaster Changeset attached => occt master 2bc75a1b
2014-10-13 17:52 bugmaster Assigned To mkv => bugmaster
2014-10-13 17:52 bugmaster Status reviewed => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-20 14:16 bugmaster Target Version 7.1.0 => 6.8.0
2014-10-21 16:43 git Note Added: 0033433
2014-10-21 16:43 git Note Added: 0033434
2014-10-21 16:43 git Note Added: 0033435
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker